Send a test delivery
curl --request POST \
--url https://api.spirii.com/emsp/v1/webhooks/{webhook_id}/testimport requests
url = "https://api.spirii.com/emsp/v1/webhooks/{webhook_id}/test"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.spirii.com/emsp/v1/webhooks/{webhook_id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"delivered": true,
"status_code": 123,
"error": "<string>"
}{
"type": "about:blank",
"title": "Tenant not found",
"status": 404,
"detail": "No tenant exists with id 0192...c3.",
"instance": "/v1/tenant/profile",
"code": "tenant_not_found",
"trace_id": "abc123def456",
"timestamp": "2026-06-10T09:30:00.000Z",
"errors": [
{
"field": "workspace_id",
"code": "is_uuid",
"message": "workspace_id must be a UUID"
}
]
}Sends a one-off signed test payload to the subscription endpoint and reports the result. It does not affect the failure count or the subscription status.
POST
/
emsp
/
v1
/
webhooks
/
{webhook_id}
/
test
Send a test delivery
Path Parameters
Was this page helpful?